import React from 'react'
import { storiesOf } from '@kadira/storybook'
import {
  App,
  Input,
  Pane,
  Content,
  theme
} from '../components'
const { minorScale, majorScale } = theme

export default function inputStory (module) {
  storiesOf('Input', module)
    .add('usage', () => (
      <App white>
        <Pane white padding={majorScale(10)}>
          <Content markdown>
            {`
# Input

The Input component is an \`input\` element. Implement the \`<Box />\` component.

\`\`\`
<Input />
<Input warning />
\`\`\`

`}
          </Content>
          <Input />
          <Input warning />
          <Content markdown>
            {`
prop | type | default | description
-----|------| --------|-------------
\`warning\` | boolean | undefined | toggles \`<ExclamationCircle />\` on the side
`}
          </Content>
        </Pane>
      </App>
    ))
    .add('standalone', () => (
      <Input />
    ))
    .add('with margins', () => (
      <Pane white>
        <Input margin={minorScale(3)} />
      </Pane>
    ))
    .add('with width', () => (
      <Pane white>
        <Input width='240px' margin={minorScale(3)} />
      </Pane>
    ))
}
